package agendaJSP.workflow;

import java.util.Vector;

import agendaJSP.persistence.*;
import agendaJSP.modele.*;

/**
 * This file is free Software
 * (c) Serge Rosmorduc
 * @author rosmord
 *
 */
public class ListerPersonnesWorkflow {
	/**
	 * Constructor ListerPersonneWorkFlow.
	 * @param dao
	 */
	private	PersonneDAO dao;
	private String lettre;
	private Vector liste;
	/**
	 * Position dans la liste.
	 */
	private int position;
    
	public ListerPersonnesWorkflow(PersonneDAO dao) {
		this.dao= dao;
		lettre= null;
		position= 0;
	}
	/**
	 * Method fixerLettre.
	 * @param lettre
	 */
	public void fixerLettre(String lettre) {
		this.lettre= lettre;
	}

	/**
	 * Method listerPersonnes.
	 */
	public void listerPersonnes() throws PersistenceException {
		liste= dao.getPersonnesParInitiales(lettre);
		position= 0;
	}

	/**
	 * Method hasPersonnes.
	 * Retourne vrai si la position courante 
	 * @return boolean
	 */
	public boolean estTerminee() {
		return liste.size() <= position;
	}

	/**
	 * Method getIDPersonne.
	 * @return String
	 */
	public int getIDPersonne() {
		return ((Personne)liste.get(position)).getIdPersonne();
	}

	/**
	 * Method getNom.
	 * @return String
	 */
	public String getNom() {
		
		return ((Personne)liste.get(position)).getNom();
	}

	/**
	 * Method next.
	 */
	public void next() {
		position++;
	}

	/**
	 * Method getPrenom.
	 * @return String
	 */
	public String getPrenom() {
		return ((Personne)liste.get(position)).getPrenom();
	}

}
